# Uses of Class
org.eclipse.emf.cdo.server.db.evolution.phased.Context.Model

Packages that use Context.Model
Package
Description
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.

## Uses of Context.Model in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return types with arguments of type Context.Model
Modifier and Type
Method
Description
`Map<Context.Model,Object>`
Context.`getChangeInfos()`
Returns the changed models along with their change infos.
`Map<String,Context.Model>`
Context.`getModels()`
Returns the models being evolved in this context.
`protected List<Context.Model>`
FolderContextManager.`loadModelsFromDatabase(IDBStore store)`
Loads the models from the database.
`protected List<Context.Model>`
FolderContextManager.`loadModelsFromDisk(File folder)`
Loads the models from disk.
Methods in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type Context.Model
Modifier and Type
Method
Description
`void`
Context.`addChangeInfo(Context.Model model, Object changeInfo)`
Adds the given changed model along with its change info.
`protected void`
PhasedModelEvolutionSupport.`addedChangeInfo(Context.Model model, Object changeInfo)`
Called after a change info has been added to the evolution context.
`protected Object`
DefaultChangeDetector.`getChangeInfo(Context.Model model)`
Method parameters in org.eclipse.emf.cdo.server.db.evolution.phased with type arguments of type Context.Model
Modifier and Type
Method
Description
`protected void`
FolderContextManager.`saveModelsToDisk(File folder, Collection<Context.Model> models)`
Saves the models to disk.
Constructor parameters in org.eclipse.emf.cdo.server.db.evolution.phased with type arguments of type Context.Model
Modifier
Constructor
Description
``
`Context(PhasedModelEvolutionSupport support, Collection<Context.Model> models)`
Creates a context for model evolution with the given models.